Skip to main content
POST
/
builders
/
{builderId}
/
photo-folders
Create photo folder
curl --request POST \
  --url https://api.buildpass.global/builders/{builderId}/photo-folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "projectId": "proj_ckproject123456789012345678",
  "parentId": "<string>"
}
'
{
  "id": "<string>",
  "builderId": "<string>",
  "projectId": "<string>",
  "parentId": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
Requires write:photos. Creates a gallery photo folder for the builder. Include projectId only when the folder should be mapped to a BuildPass project.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required

Body

application/json
name
string
required
projectId
string
Example:

"proj_ckproject123456789012345678"

parentId
string

Response

201 - application/json

Photo folder created

id
string
builderId
string
projectId
string | null
parentId
string | null
name
string
createdAt
string<date-time>
updatedAt
string<date-time>